Debian Bug report logs - #619186
Fix multiarch FHS exception for i386 in light of recent discussions

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Steve Langasek <vorlon@debian.org>

Date: Mon, 21 Mar 2011 21:39:02 UTC

Severity: normal

Found in version debian-policy/3.9.1.0

Fixed in version debian-policy/3.9.2.0

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-gcc@lists.debian.org, debian-glibc@lists.debian.org, debian-dpkg@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619186; Package debian-policy. (Mon, 21 Mar 2011 21:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
New Bug report received and forwarded. Copy sent to debian-gcc@lists.debian.org, debian-glibc@lists.debian.org, debian-dpkg@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>. (Mon, 21 Mar 2011 21:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: submit@bugs.debian.org
Subject: Fix multiarch FHS exception for i386 in light of recent discussions
Date: Mon, 21 Mar 2011 14:34:36 -0700
[Message part 1 (text/plain, inline)]
Package: debian-policy
Version: 3.9.1.0
Severity: normal
Tags: patch
User: debian-policy@packages.debian.org
Usertags: normative

Hi guys,

Attached is a patch to update policy's FHS exception to reflect the current
consensus among the gcc, eglibc, and dpkg maintainers around the paths to
use for implementation and the interface packages should use to query these
paths.

Cc:ing the respective maintainer mailing lists for sign-off.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[0001-Fix-multiarch-FHS-exception-for-i386-in-light-of-rec.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619186; Package debian-policy. (Tue, 22 Mar 2011 05:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 22 Mar 2011 05:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 619186@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Steve Langasek <vorlon@debian.org>, 619186@bugs.debian.org
Subject: Re: Bug#619186: Fix multiarch FHS exception for i386 in light of recent discussions
Date: Tue, 22 Mar 2011 06:54:26 +0100
[Message part 1 (text/plain, inline)]
On Mon, Mar 21, 2011 at 02:34:36PM -0700, Steve Langasek wrote:
> Package: debian-policy
> Version: 3.9.1.0
> Severity: normal
> Tags: patch
> User: debian-policy@packages.debian.org
> Usertags: normative
> 
> Hi guys,
> 
> Attached is a patch to update policy's FHS exception to reflect the current
> consensus among the gcc, eglibc, and dpkg maintainers around the paths to
> use for implementation and the interface packages should use to query these
> paths.
> 
> Cc:ing the respective maintainer mailing lists for sign-off.
> 
> Thanks,
> -- 
> Steve Langasek                   Give me a lever long enough and a Free OS
> Debian Developer                   to set it on, and I can move the world.
> Ubuntu Developer                                    http://www.debian.org/
> slangasek@ubuntu.com                                     vorlon@debian.org

> From 1f0f1281c53701e2fe549ed9f80a265ebcd9282a Mon Sep 17 00:00:00 2001
> From: Steve Langasek <steve.langasek@canonical.com>
> Date: Mon, 21 Mar 2011 02:17:14 -0700
> Subject: [PATCH] Fix multiarch FHS exception for i386 in light of recent discussions
> 
> The current value of DEB_HOST_GNU_TYPE on i386 is unsuitable for
> cross-distro standardization, because it varies according to the default CPU
> target of the toolchain.  Discussion with the toolchain and dpkg maintainers
> yielded an alternative solution, a new dpkg-architecture variable
> DEB_HOST_MULTIARCH which is committed to dpkg upstream in commit
> af3153d09aa3ed5597d6d415e5ab7cc3ba972e7c and will be included in the upload
> of dpkg 1.16.0.  Update Policy to document this new requirement for
> multiarch.
> ---
>  policy.sgml              |    4 ++--
>  upgrading-checklist.sgml |    7 +++++++
>  2 files changed, 9 insertions(+), 2 deletions(-)
> 
> diff --git a/policy.sgml b/policy.sgml
> index 6e04c81..c708a18 100644
> --- a/policy.sgml
> +++ b/policy.sgml
> @@ -6027,13 +6027,13 @@ install -m644 debian/shlibs.<var>package</var> debian/<var>package</var>/DEBIAN/
>                    <file>/lib/<var>triplet</var></file> and
>                    <file>/usr/lib/<var>triplet</var></file>, where
>                    <tt><var>triplet</var></tt> is the value returned by
> -                  <tt>dpkg-architecture -qDEB_HOST_GNU_TYPE</tt> for the
> +                  <tt>dpkg-architecture -qDEB_HOST_MULTIARCH</tt> for the
>                    architecture of the package.  Packages may <em>not</em>
>                    install files to any <var>triplet</var> path other
>                    than the one matching the architecture of that package;
>                    for instance, an <tt>Architecture: amd64</tt> package
>                    containing 32-bit x86 libraries may not install these
> -                  libraries to <file>/usr/lib/i486-linux-gnu</file>.
> +                  libraries to <file>/usr/lib/i386-linux-gnu</file>.
>                    <footnote>
>                      This is necessary in order to reserve the directories for
>                      use in cross-installation of library packages from other
> diff --git a/upgrading-checklist.sgml b/upgrading-checklist.sgml
> index e696077..2138b5c 100644
> --- a/upgrading-checklist.sgml
> +++ b/upgrading-checklist.sgml
> @@ -58,6 +58,13 @@ Unreleased.
>    that install <prgn>/usr/bin/mailx</prgn> and implement at least the
>    POSIX-required interface.
>    </item>
> +<tag>9.1.1</tag>
> +  <item>Packages installing to architecture-specific subdirectories of
> +  <file>/url/lib</file> must use the value returned by
> +  <prgn>dpkg-architecture -qDEB_HOST_MULTIARCH</prgn>, not by
> +  <prgn>dpkg-architecture -qDEB_HOST_GNU_TYPE</prgn>; this is a path change
> +  on i386 architectures and a no-op for other architectures.
> +  </item>
>  </taglist></p>
>  
>  <sect> Version 3.9.1.0
> -- 
> 1.7.1
> 

Signed-off-by: Aurelien Jarno <aurel32@debian.org>

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619186; Package debian-policy. (Tue, 22 Mar 2011 07:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 22 Mar 2011 07:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 619186@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 619186@bugs.debian.org
Subject: Re: Bug#619186: Fix multiarch FHS exception for i386 in light of recent discussions
Date: Tue, 22 Mar 2011 08:06:38 +0100
[Message part 1 (text/plain, inline)]
On Mon, 21 Mar 2011, Steve Langasek wrote:
> Attached is a patch to update policy's FHS exception to reflect the current
> consensus among the gcc, eglibc, and dpkg maintainers around the paths to
> use for implementation and the interface packages should use to query these
> paths.
[...]
> From 1f0f1281c53701e2fe549ed9f80a265ebcd9282a Mon Sep 17 00:00:00 2001
> From: Steve Langasek <steve.langasek@canonical.com>
> Date: Mon, 21 Mar 2011 02:17:14 -0700
> Subject: [PATCH] Fix multiarch FHS exception for i386 in light of recent discussions
> 
> The current value of DEB_HOST_GNU_TYPE on i386 is unsuitable for
> cross-distro standardization, because it varies according to the default CPU
> target of the toolchain.  Discussion with the toolchain and dpkg maintainers
> yielded an alternative solution, a new dpkg-architecture variable
> DEB_HOST_MULTIARCH which is committed to dpkg upstream in commit
> af3153d09aa3ed5597d6d415e5ab7cc3ba972e7c and will be included in the upload
> of dpkg 1.16.0.  Update Policy to document this new requirement for
> multiarch.

Seconded.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619186; Package debian-policy. (Tue, 29 Mar 2011 16:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 29 Mar 2011 16:57:06 GMT) Full text and rfc822 format available.

Message #20 received at 619186@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 619186@bugs.debian.org
Subject: Fix multiarch FHS exception for i386 in light of recent discussions
Date: Tue, 29 Mar 2011 09:43:47 -0700
[Message part 1 (text/plain, inline)]
user debian-policy@packages.debian.org
usertags 619186 = seconded
thanks

If I understand the current policy process, this has met the necessary
number of sign-offs (proposer + 2 seconds == 3 sign-offs), so marking as
'seconded'.

Is there a policy czar available to confirm this and maybe to nudge this bug
along its way? :)  Note that the dpkg implementation of what's described
here is imminent, so it would be good to have confirmation that it's ok on
the policy side for us to use this.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619186; Package debian-policy. (Tue, 29 Mar 2011 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 29 Mar 2011 19:09:03 GMT) Full text and rfc822 format available.

Message #25 received at 619186@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 619186@bugs.debian.org
Subject: Re: Fix multiarch FHS exception for i386 in light of recent discussions
Date: Tue, 29 Mar 2011 14:05:45 -0500
Steve Langasek wrote:

> If I understand the current policy process, this has met the necessary
> number of sign-offs (proposer + 2 seconds == 3 sign-offs), so marking as
> 'seconded'.

Yes, and the change sounds good to me.  Thanks.

> Is there a policy czar available to confirm this and maybe to nudge this bug
> along its way? :)  Note that the dpkg implementation of what's described
> here is imminent, so it would be good to have confirmation that it's ok on
> the policy side for us to use this.

As a curious bystander:

* I understand that there is history behind it, so I am not advocating
  changing this, but the name DEB_HOST_MULTIARCH is not so self-explanatory.
  I suppose what it actually means is something like DEB_HOST_PATH_COMPONENT.
  Hopefully as the cross-distro simplified GNU triplets get used for
  other things, the DEB_HOST_MULTIARCH name will start to seem more
  natural. :)

* Is it safe to start using the new variable right away, without changing
  declared dependencies (I would hope "yes" if policy advocates it without
  caveats)?  Is it intended to make packages using the old variable
  instantly RC-buggy (I think "yes", but it seems best to ask)?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619186; Package debian-policy. (Tue, 29 Mar 2011 22:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 29 Mar 2011 22:03:06 GMT) Full text and rfc822 format available.

Message #30 received at 619186@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 619186@bugs.debian.org
Subject: Re: Bug#619186: Fix multiarch FHS exception for i386 in light of recent discussions
Date: Tue, 29 Mar 2011 15:00:06 -0700
[Message part 1 (text/plain, inline)]
Hi Jonathan,
On Tue, Mar 29, 2011 at 02:05:45PM -0500, Jonathan Nieder wrote:
> > Is there a policy czar available to confirm this and maybe to nudge this bug
> > along its way? :)  Note that the dpkg implementation of what's described
> > here is imminent, so it would be good to have confirmation that it's ok on
> > the policy side for us to use this.

> As a curious bystander:

> * I understand that there is history behind it, so I am not advocating
>   changing this, but the name DEB_HOST_MULTIARCH is not so self-explanatory.
>   I suppose what it actually means is something like DEB_HOST_PATH_COMPONENT.
>   Hopefully as the cross-distro simplified GNU triplets get used for
>   other things, the DEB_HOST_MULTIARCH name will start to seem more
>   natural. :)

Guillem raised this issue as well, but we couldn't come to an agreement on a
name that was both clear and not irksomely verbose.  I think multiarch will
soon be pervasive enough that people will become accustomed to it and I'm
not too concerned about finding the perfect name.

> * Is it safe to start using the new variable right away, without changing
>   declared dependencies (I would hope "yes" if policy advocates it without
>   caveats)?

The rollout plan looks like this:

  http://wiki.debian.org/Multiarch/Bootstrapping

The current ld.so doesn't yet know about the final path (on i386), so
libraries can't switch to using it or they'll fail to be found by the
runtime linker.

Since we don't want to wait until the next release cycle before being able
to proceed to step 5, this does mean that a transitional dependency is
needed to ensure a multiarch-compatible ld.so is unpacked before libraries
unpack to /lib/i386-linux-gnu.

I wasn't planning to change policy for this.  It's transitional, so we would
be adding it to policy for just one release cycle before wanting to drop it
again; I think it's covered by the general rule that "policy doesn't need to
exhaustively document everything a package can do wrong that would make it
buggy"; and although I'm preparing patches with caution so that every
package that switches to multiarch has the necessary Pre-Depends:
multiarch-support, the downside of getting this wrong is pretty small for
packages outside the base system and package manager (upgrade libc6 and
everything's fixed).

If you think this is important to document in policy anyway, I can prepare a
patch.

> Is it intended to make packages using the old variable instantly RC-buggy
>   (I think "yes", but it seems best to ask)?

Yes.  There are only three packages affected (libhwloc, liblouis,
liblouisxml) affected by the library path change; all of these should be
switched over to the final path before wheezy releases, so eglibc doesn't
have to carry transitional support for /usr/lib/i486-linux-gnu for more than
one release cycle.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619186; Package debian-policy. (Tue, 29 Mar 2011 22:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 29 Mar 2011 22:27:05 GMT) Full text and rfc822 format available.

Message #35 received at 619186@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 619186@bugs.debian.org
Subject: Re: Fix multiarch FHS exception for i386 in light of recent discussions
Date: Tue, 29 Mar 2011 17:21:59 -0500
Steve Langasek wrote:

>   http://wiki.debian.org/Multiarch/Bootstrapping
>
> The current ld.so doesn't yet know about the final path (on i386), so
> libraries can't switch to using it or they'll fail to be found by the
> runtime linker.
>
> Since we don't want to wait until the next release cycle before being able
> to proceed to step 5, this does mean that a transitional dependency is
> needed to ensure a multiarch-compatible ld.so is unpacked before libraries
> unpack to /lib/i386-linux-gnu.
[...]
> If you think this is important to document in policy anyway, I can prepare a
> patch.

Yes, please.  I agree with you that the normative component is already
taken care of by "don't be buggy", so if can be written in the
"informative" style, that would be great.

Also I suppose some discussion on debian-devel has already taken place
to make this pre-dependency possible without worrying about policy
§3.5?  If not, I'd be interested in either an explicit exception or
the perfunctory discussion on -devel, whichever is easier.

Cheers,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619186; Package debian-policy. (Wed, 30 Mar 2011 06:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 30 Mar 2011 06:33:05 GMT) Full text and rfc822 format available.

Message #40 received at 619186@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 619186@bugs.debian.org
Subject: Re: Bug#619186: Fix multiarch FHS exception for i386 in light of recent discussions
Date: Wed, 30 Mar 2011 08:25:56 +0200
On Tue, 29 Mar 2011, Jonathan Nieder wrote:
> Also I suppose some discussion on debian-devel has already taken place
> to make this pre-dependency possible without worrying about policy
> §3.5?  If not, I'd be interested in either an explicit exception or
> the perfunctory discussion on -devel, whichever is easier.

It has been discussed on -release, not on -devel:
http://lists.debian.org/debian-release/2011/02/threads.html#00381

(I don't think it matters much given that all important stakeholders where
involved)

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619186; Package debian-policy. (Sat, 02 Apr 2011 05:51:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 02 Apr 2011 05:51:40 GMT) Full text and rfc822 format available.

Message #45 received at 619186@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 619186@bugs.debian.org
Subject: Re: Bug#619186: Fix multiarch FHS exception for i386 in light of recent discussions
Date: Fri, 1 Apr 2011 22:44:42 -0700
[Message part 1 (text/plain, inline)]
On Tue, Mar 29, 2011 at 05:21:59PM -0500, Jonathan Nieder wrote:
> Steve Langasek wrote:

> >   http://wiki.debian.org/Multiarch/Bootstrapping

> > The current ld.so doesn't yet know about the final path (on i386), so
> > libraries can't switch to using it or they'll fail to be found by the
> > runtime linker.

> > Since we don't want to wait until the next release cycle before being able
> > to proceed to step 5, this does mean that a transitional dependency is
> > needed to ensure a multiarch-compatible ld.so is unpacked before libraries
> > unpack to /lib/i386-linux-gnu.
> [...]
> > If you think this is important to document in policy anyway, I can prepare a
> > patch.

> Yes, please.  I agree with you that the normative component is already
> taken care of by "don't be buggy", so if can be written in the
> "informative" style, that would be great.

Do you mind if I split the informative text off onto a separate bug
report?

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619186; Package debian-policy. (Sat, 02 Apr 2011 06:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 02 Apr 2011 06:12:05 GMT) Full text and rfc822 format available.

Message #50 received at 619186@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Steve Langasek <vorlon@debian.org>
Cc: 619186@bugs.debian.org
Subject: Re: Fix multiarch FHS exception for i386 in light of recent discussions
Date: Sat, 2 Apr 2011 01:08:19 -0500
user debian-policy@packages.debian.org
tags 619186 =
usertags 619186 = normative seconded
quit

Steve Langasek wrote:
> On Tue, Mar 29, 2011 at 05:21:59PM -0500, Jonathan Nieder wrote:
>> Steve Langasek wrote:

>>> If you think this is important to document in policy anyway, I can prepare a
>>> patch.
>
>> Yes, please.  I agree with you that the normative component is already
>> taken care of by "don't be buggy", so if can be written in the
>> "informative" style, that would be great.
>
> Do you mind if I split the informative text off onto a separate bug
> report?

No, I don't mind (though I hope it doesn't fall off the radar).

Cheers,
Jonathan




Removed tag(s) patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 02 Apr 2011 06:12:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 04 Apr 2011 02:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619186; Package debian-policy. (Mon, 04 Apr 2011 02:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 04 Apr 2011 02:57:05 GMT) Full text and rfc822 format available.

Message #59 received at 619186@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: 619186@bugs.debian.org
Subject: Re: Bug#619186: Fix multiarch FHS exception for i386 in light of recent discussions
Date: Sun, 03 Apr 2011 19:48:00 -0700
Steve Langasek <vorlon@debian.org> writes:

> Attached is a patch to update policy's FHS exception to reflect the
> current consensus among the gcc, eglibc, and dpkg maintainers around the
> paths to use for implementation and the interface packages should use to
> query these paths.

Thanks, applied.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Thu, 07 Apr 2011 06:20:41 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <vorlon@debian.org>:
Bug acknowledged by developer. (Thu, 07 Apr 2011 06:21:13 GMT) Full text and rfc822 format available.

Message #64 received at 619186-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 619186-close@bugs.debian.org
Subject: Bug#619186: fixed in debian-policy 3.9.2.0
Date: Thu, 07 Apr 2011 06:02:15 +0000
Source: debian-policy
Source-Version: 3.9.2.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive:

debian-policy_3.9.2.0.dsc
  to main/d/debian-policy/debian-policy_3.9.2.0.dsc
debian-policy_3.9.2.0.tar.gz
  to main/d/debian-policy/debian-policy_3.9.2.0.tar.gz
debian-policy_3.9.2.0_all.deb
  to main/d/debian-policy/debian-policy_3.9.2.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 619186@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 06 Apr 2011 22:48:55 -0700
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.9.2.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 459868 488214 501930 504880 536790 581011 588014 590696 591857 593909 594274 594542 594656 594658 597074 599944 606869 609160 619186
Changes: 
 debian-policy (3.9.2.0) unstable; urgency=low
 .
   * Policy: Require human Maintainer or Uploader, clarify Maintainer
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #459868, #581011
   * Policy: Add an FHS exception on GNU/Hurd for /hurd and /servers
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #594658
   * Policy: Document DM-Upload-Allowed
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Seconded: Russ Allbery <rra@debian.org>
     Closes: #588014
   * Policy: Update multiarch FHS exception for i386 naming
     Wording: Steve Langasek <vorlon@debian.org>
     Seconded: Aurelien Jarno <aurelien@aurel32.net>
     Seconded: Raphael Hertzog <hertzog@debian.org>
     Closes: #619186
   * Policy: Significant additions to maintainer script documentation
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #504880
   * Policy: Clarify format of Debian control fields
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Closes: #501930, #593909
   * Virtual: Added mailx as a new virtual package
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Giacomo A. Catenazzi <cate@debian.org>
     Closes: #488214
   * Be more verbose in defining the build architecture and the host
     architecture and consistently refer to architecture rather than
     machine.  (Closes: #591857)
   * Correct the name of the Filesystem Hierarchy Standard in the package
     description.  Patch from Christoph Anton Mitterer.  (Closes: #590696)
   * Use the word "implemented" to describe required targets in
     debian/rules, which is clearer about allowing wildcard rules.  List
     the required rules in their own paragraph rather than with the
     paragraph discussing non-interactivity, and explicitly mark all rules
     as either required or optional.  (Closes: #536790)
   * Update the ldconfig footnote listing the /etc/ld.so.conf directories
     to remove the libc5 compatibility directories and mention the
     multiarch triplet directories.  Based on a patch by Charles Plessy.
     (Closes: #597074)
   * Add introductory paragraphs for each archive area explaining briefly
     the purpose of that archive area.  Based on a proposal by CJ
     Fearnley.  (Closes: #594542)
   * Change all non-historical references to Debian GNU/Linux to simply
     Debian since Debian now includes FreeBSD-based architectures.  Patch
     from Guillem Jover.  (Closes: #594656)
   * Remove references to the obsolete debmake package.
   * Update the list of Policy maintainers.
   * Wrap Uploaders in debian/control.
   * Move Build-Depends-Indep to Build-Depends (there's no reason to use
     -Indep in a package that builds only architecture-independent binary
     packages), wrap it, and remove version restrictions that are older
     than the version in oldstable.
   * Add emacs23 to the build dependencies and remove the files generated
     from org source from the revision control repository.  Build and clean
     files from org source unconditionally.  Add Process.{txt,html} to the
     list of files generated from org source.  (Closes: #594274)
   * Fix URLs under www.freedesktop.org to avoid permanent redirects.
     Thanks, David Prévot.  (Closes: #606869)
   * Add a cross-reference to the Pre-Depends requirement in 3.5 to section
     7.2 where Pre-Depends is defined.  Thanks, Mattias Ellert and Jonathan
     Nieder.  (Closes: #599944)
   * Include the new (optional) copyright format that was drafted as DEP-5.
     This is not yet a final version; that's expected to come in the
     3.9.3.0 release.  Thanks to all the DEP-5 contributors and to Lars
     Wirzenius and Charles Plessy for the integration into the Policy
     package.  (Closes: #609160)
Checksums-Sha1: 
 3fbe1185dd3abd9f553cefbc2e8b353864bdd99b 1471 debian-policy_3.9.2.0.dsc
 f8b59ed7adcaec2dd78b77010eba9f9934e13012 693834 debian-policy_3.9.2.0.tar.gz
 3854a70a825272ff6a1e1473eb90369f5c1c6c68 1907938 debian-policy_3.9.2.0_all.deb
Checksums-Sha256: 
 231893c0f9dd4d8bd20aa5d53e871423c15ce0eb48ebc53652316a0e7eca8f89 1471 debian-policy_3.9.2.0.dsc
 8be1c13c6b05b167b356f505cab74f3e6a84be096215e64ad741d672b6f943a6 693834 debian-policy_3.9.2.0.tar.gz
 1a587553e9fc5ad93f3ddf8d752131efc737dff7810a6c170fe67cbb8a642eb5 1907938 debian-policy_3.9.2.0_all.deb
Files: 
 cad30289440ae005513484e7af83039f 1471 doc optional debian-policy_3.9.2.0.dsc
 b90105f64bcaedd3b1c182689ac9c6c8 693834 doc optional debian-policy_3.9.2.0.tar.gz
 73bef9fc65be0091233daa701e494104 1907938 doc optional debian-policy_3.9.2.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJNnVKxAAoJEH2AMVxXNt51S1kH/19xBm48ZzXnn2tSEHaCWKIz
sh86ppJArmwvxUu0BzwlSg2jr01M3pyynwVzgevGAQ9QlK2bD1MODlq5zQ23JLk8
ZHthYq/f15BkWuwMPVfnWeUtLVe4Xo6LL/LJGMjYiWTGxyv8OtctDVYz0olksmjr
gNp4rTUIzRfL8ucN3ypq0Xct7K2QilXQFdtEpHSRdsSPLC42cQgH/0wqo1PzMT7w
micFsqgGT5ZDUq+y4eNE6AzAZynVJgUAgnG0BMANucFJ8pVnVPmUB8rAEaURPGib
rjwuIHftPliJyI0hoBzWV1AU9t/I7IPekCJx+eqhVnUMF+sQexwHssEWmAZbtwY=
=o5f6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 May 2011 07:39:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:59:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.